# Created by pyp2rpm-3.3.5
%global pypi_name arviz

Name:           python-%{pypi_name}
Version:        0.22.0
Release:        %mkrel 1
Summary:        Exploratory analysis of Bayesian models
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/arviz-devs/arviz
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch0:         0001-arviz-0.18-relax-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
ArviZ is a Python package for exploratory analysis of 
Bayesian models. Includes functions for posterior analysis, data storage, model 
checking, comparison and diagnostics.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ArviZ is a Python package for exploratory analysis of 
Bayesian models. Includes functions for posterior analysis, data storage, model 
checking, comparison and diagnostics.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Thu Jul 17 2025 papoteur <papoteur> 0.22.0-1.mga10
+ Revision: 2256883
- new version 0.22.0

* Sun Jul 06 2025 umeabot <umeabot> 0.21.0-2.mga10
+ Revision: 2247756
- Mageia 10 Mass Rebuild

* Fri Mar 14 2025 papoteur <papoteur> 0.21.0-1.mga10
+ Revision: 2163845
- new version 0.21.0

* Mon Mar 03 2025 wally <wally> 0.20.0-2.mga10
+ Revision: 2159598
- rebuild for python3.13

* Sun Dec 15 2024 papoteur <papoteur> 0.20.0-1.mga10
+ Revision: 2125341
- new version 0.20.0

* Sun May 19 2024 papoteur <papoteur> 0.18.0-1.mga10
+ Revision: 2064886
- new patch for relax reqs
- new version 0.18.0

* Thu Mar 28 2024 papoteur <papoteur> 0.17.1-1.mga10
+ Revision: 2052983
- new version 0.17.1

* Sun Feb 18 2024 papoteur <papoteur> 0.17.0-1.mga10
+ Revision: 2042304
- Relax requirements
- new version 0.17.0

* Fri Sep 01 2023 papoteur <papoteur> 0.16.1-1.mga10
+ Revision: 1983086
- new 0.16.1

* Tue Dec 06 2022 papoteur <papoteur> 0.14.0-1.mga9
+ Revision: 1918622
- imported package python-arviz

